View Issue Details

IDProjectCategoryView StatusLast Update
0002713Wishes.PluginsFARCmdspublic2014-06-28 18:21
ReporterJohnDoe Assigned Tovskirdin  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.0 
Fixed in Version3.0 
Summary0002713: Убрать функцию Same Folder ("Такой же каталог")
DescriptionПлагин Far Commands предоставляет ряд полезных команд, выполняемых через префиксы командной строки.
Функция Same Folder выбивается из их ряда, т.к. не имеет отношения к командам (вызывается из меню).

В дистрибутиве фара присутствует макрос с аналогичной функциональностью (https://code.google.com/p/farmanager/source/browse/trunk/addons/Macros/Panel.CtrlShiftBackSlash.lua).

Предлагаю из плагина убрать.
Additional InformationОбсуждалось неоднократно, например:
http://forum.farmanager.com/viewtopic.php?p=67381#p67381
TagsNo tags attached.

Activities

DrKnS

2014-06-24 15:52

administrator   bugnote:0012535

> В дистрибутиве фара присутствует макрос с аналогичной функциональностью

Она не аналогична.
FarCmds ставит папку на той панели, для которой было вызвано меню, а не для пассивной.

JohnDoe

2014-06-24 16:25

updater   bugnote:0012537

>Она не аналогична.
Ага, она не вызывается из меню )

>FarCmds ставит папку на той панели, для которой было вызвано меню
[x] Add "Same Folder" to the Plugins menu

DrKnS

2014-06-24 16:31

administrator   bugnote:0012538

> Ага, она не вызывается из меню )
Тем более!

> [x] Add "Same Folder" to the Plugins menu
А вот это можно и в морг.

JohnDoe

2014-06-24 16:39

updater   bugnote:0012539

>Тем более!
Серьёзно хочется из меню дисков? Были сторонние плагины.
Есть и тикет 0002393
Речь не о том, что такая функция вообще не нужна, а о том, что она не для сабжевого плагина.

Кстати макрос на данный момент функциональнее, т.к. работает (практически) со всеми плагиновыми панелями.

Легко переделать макрос, чтобы работал с активной панелью.

JohnDoe

2014-06-24 16:43

updater   bugnote:0012540

Last edited: 2014-06-24 20:10

View 2 revisions

>А вот это можно и в морг.
Это способ использовать плагин из макроса.
Лучше чем открывать потенциально тормозное меню дисков

Edit:
Не всем нравится поведение при вызове из меню дисков: http://forum.farmanager.com/viewtopic.php?p=91836#p91836

DrKnS

2014-06-24 16:54

administrator   bugnote:0012541

> Серьёзно хочется из меню дисков?
Да. Вызывая его мышью, лёжа на диване на боку. Клавиши тут как-то не в тему.

> Это способ использовать плагин из макроса.
Зачем его так вызывать из макроса, если в дистрибутиве уже есть макрос, делающий то же самое без плагина?

JohnDoe

2014-06-24 17:01

updater   bugnote:0012542

Last edited: 2014-06-24 20:17

View 3 revisions

>Да. Вызывая его мышью, лёжа на диване на боку. Клавиши тут как-то не в тему.
Я как-то привык из меню выбирать тот же диск, что то же самое.

Кому-то удобнее иначе, допускаю.
Тикет о том, что функция не для FarCmds. В отдельный плагин можно (и были такие: http://forum.farmanager.com/viewtopic.php?f=11&t=5641).

>Зачем его так вызывать из макроса, если в дистрибутиве уже есть макрос, делающий то же самое без плагина?
При наличии более функционального макроса я вообще не знаю зачем это в плагине )

vskirdin

2014-06-26 06:35

administrator   bugnote:0012564

Ну так убираем этот функционал?
Я функционал могу в отдельный "учебный" плагин (как HelloWorld) вынести.
ы?

JohnDoe

2014-06-26 06:38

updater   bugnote:0012565

Заодно доработав для работы на плагиновых панелях

DrKnS

2014-06-26 06:39

administrator   bugnote:0012566

> Я функционал могу в отдельный "учебный" плагин (как HelloWorld) вынести.

Если он будет компилиться вместе с остальными, входить в дистрибутив и грузиться вместе с остальными - пожалуйста.

Если нет - я не понимаю, зачем ради абстрактного совершенства отрывать существующую привычную и удобную функциональность.

vskirdin

2014-06-26 07:23

administrator   bugnote:0012567

> Заодно доработав для работы на плагиновых панелях
Может кто и сподобиться.

> Если он будет компилиться вместе с остальными, входить в дистрибутив и грузиться вместе с остальными - пожалуйста.
Будет компилиться с остальными (если после коммита налудил - поправь :-))

На самом деле эта функция в FarCmds реально левая на фоне остального функционала (где всё через префикс делается). Был добавлен, дабы не плодить плагинов "разных и вкусных".

vskirdin

2014-06-26 07:27

administrator   bugnote:0012568

Видимо в отдельно стоящем плагин опция "Добавить "Такой же каталог" в меню плагинов" лишняя. Так? (т.е. он должен появляться в меню выбора плагинов)

JohnDoe

2014-06-26 07:51

updater   bugnote:0012570

>Может кто и сподобиться.
Вообще-то там проще некуда.
Получить через FCTL_GETPANELDIRECTORY структуру FarPanelDirectory
Передать её без изменений в FCTL_SETPANELDIRECTORY

>т.е. он должен появляться в меню выбора плагинов
А зачем он там?

vskirdin

2014-06-26 07:56

administrator   bugnote:0012571

>>т.е. он должен появляться в меню выбора плагинов
>А зачем он там?
Это шутка?

JohnDoe

2014-06-26 08:06

updater   bugnote:0012572

Не шутка. Но по ответу понял, что кому-то нужен )
Тогда надо оставить опцию, отключающую это.

vskirdin

2014-06-26 10:33

administrator  

samefolder.zip (9,539 bytes)

vskirdin

2014-06-26 10:33

administrator   bugnote:0012583

В аттаче samefolder.zip - оно?

JohnDoe

2014-06-26 10:46

updater   bugnote:0012584

Оно, за исключением документации.
Необходимо отразить разницу между выбором пункта из меню плагинов и меню дисков.

JohnDoe

2014-06-26 10:59

updater  

SameFolderRus.hlf (1,699 bytes)

JohnDoe

2014-06-26 11:02

updater   bugnote:0012585

Приложил SameFolderRus.hlf.
Ещё смущает употребление термина "каталог".
В других местах фара "папка".
Может быть лучше "путь".

И почему "Такой же"? По идее "тот же".

vskirdin

2014-06-26 11:35

administrator   bugnote:0012586

Будет "Такая же папка"

vskirdin

2014-06-26 12:45

administrator   bugnote:0012587

убрал в сторону samefolder
build 107

2DrKnS: посмотри, я там не напортачил с инсталлятором и ночными сборками

JohnDoe

2014-06-26 14:04

updater  

SameFolderEng.hlf (1,048 bytes)

JohnDoe

2014-06-26 14:05

updater   bugnote:0012588

Добавил SameFolderEng.hlf
(Специалисты по английскому поправят если что)

vskirdin

2014-06-27 05:53

administrator   bugnote:0012590

Закоммитил.

JohnDoe

2014-06-27 11:00

updater   bugnote:0012592

Last edited: 2014-06-27 11:02

View 2 revisions

В результате правки в FARCmds*.hlf пропущена связка. Предлагаю так:

@Contents
$ #FAR Commands#
   Плагин FAR Commands (FARCmds) предоставляет ряд дополнительных команд, вызываемых из
командной строки.

   Кроме того эти команды можно использовать в ~меню пользователя~@:UserMenu@,
в ~ассоциациях файлов~@:FileAssoc@ и в диалоге ~Применить команду~@:ApplyCmd@ (#Ctrl-G#).

@Contents
$^#FAR Commands#
   The FAR Commands plugin (FARCmds) provides a number of additional commands available
in command line via prefixes.

   In addition, the commands can be used in ~User Menu~@:UserMenu@,
in ~file associations~@:FileAssoc@, and in dialog ~Apply Command~@:ApplyCmd@ (#Ctrl-G#).

vskirdin

2014-06-27 12:52

administrator   bugnote:0012600

закоммитил

JohnDoe

2014-06-28 08:48

updater   bugnote:0012602

Порядок

Issue History

Date Modified Username Field Change
2014-06-24 10:38 JohnDoe New Issue
2014-06-24 15:52 DrKnS Note Added: 0012535
2014-06-24 16:25 JohnDoe Note Added: 0012537
2014-06-24 16:31 DrKnS Note Added: 0012538
2014-06-24 16:39 JohnDoe Note Added: 0012539
2014-06-24 16:43 JohnDoe Note Added: 0012540
2014-06-24 16:54 DrKnS Note Added: 0012541
2014-06-24 17:01 JohnDoe Note Added: 0012542
2014-06-24 17:01 JohnDoe Note Edited: 0012542 View Revisions
2014-06-24 20:10 JohnDoe Note Edited: 0012540 View Revisions
2014-06-24 20:17 JohnDoe Note Edited: 0012542 View Revisions
2014-06-26 06:35 vskirdin Note Added: 0012564
2014-06-26 06:38 JohnDoe Note Added: 0012565
2014-06-26 06:39 DrKnS Note Added: 0012566
2014-06-26 07:23 vskirdin Note Added: 0012567
2014-06-26 07:27 vskirdin Note Added: 0012568
2014-06-26 07:51 JohnDoe Note Added: 0012570
2014-06-26 07:56 vskirdin Note Added: 0012571
2014-06-26 08:06 JohnDoe Note Added: 0012572
2014-06-26 10:33 vskirdin File Added: samefolder.zip
2014-06-26 10:33 vskirdin Note Added: 0012583
2014-06-26 10:46 JohnDoe Note Added: 0012584
2014-06-26 10:59 JohnDoe File Added: SameFolderRus.hlf
2014-06-26 11:02 JohnDoe Note Added: 0012585
2014-06-26 11:35 vskirdin Note Added: 0012586
2014-06-26 12:45 vskirdin Note Added: 0012587
2014-06-26 12:45 vskirdin Assigned To => vskirdin
2014-06-26 12:45 vskirdin Status new => feedback
2014-06-26 14:04 JohnDoe File Added: SameFolderEng.hlf
2014-06-26 14:05 JohnDoe Note Added: 0012588
2014-06-26 14:05 JohnDoe Status feedback => assigned
2014-06-27 05:53 vskirdin Note Added: 0012590
2014-06-27 05:53 vskirdin Status assigned => feedback
2014-06-27 11:00 JohnDoe Note Added: 0012592
2014-06-27 11:00 JohnDoe Status feedback => assigned
2014-06-27 11:02 JohnDoe Note Edited: 0012592 View Revisions
2014-06-27 12:52 vskirdin Note Added: 0012600
2014-06-27 12:52 vskirdin Status assigned => feedback
2014-06-28 08:48 JohnDoe Note Added: 0012602
2014-06-28 08:48 JohnDoe Status feedback => assigned
2014-06-28 18:21 vskirdin Status assigned => closed
2014-06-28 18:21 vskirdin Resolution open => fixed
2014-06-28 18:21 vskirdin Fixed in Version => 3.0